LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XChangesListener Interface Referencepublished

receives events from batch change broadcaster objects. More...

`import"XChangesListener.idl";`

Inheritance diagram for XChangesListener:

## Public Member Functions
void | changesOccurred ([in] com::sun::star::util::ChangesEvent Event)
| is invoked when a batch of changes occurred. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

receives events from batch change broadcaster objects.

See also
  ChangesEvent
  XChangesNotifier
  XChangesBatch

## Member Function Documentation

## ◆ changesOccurred()

void changesOccurred | ( | [in] com::sun::star::util::ChangesEvent | Event | ) |

is invoked when a batch of changes occurred.

The documentation for this interface was generated from the following file:

- com/sun/star/util/XChangesListener.idl